> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a network

> This endpoint updates an existing network.



## OpenAPI

````yaml /api/specs/assetManagement-api.json patch /asset-management/v1/networks/{networkId}
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for assetManagement service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /asset-management/v1/networks/{networkId}:
    patch:
      tags:
        - Networks
      summary: Update a network
      description: This endpoint updates an existing network.
      parameters:
        - name: networkId
          in: path
          required: true
          description: |
            The ID of the network to update
            **WARNING! This action is potentially dangerous and irreversible!**
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateNetworkParams'
      responses:
        '200':
          description: Returns the updated network.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Network'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetManagementBadRequestError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetManagementUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DefaultForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetManagementNotFoundError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetManagementInternalServerError'
      security:
        - oauth2:
            - write:network
components:
  schemas:
    UpdateNetworkParams:
      type: object
      properties:
        physicalAddress:
          $ref: '#/components/schemas/PhysicalAddress'
        contactDetails:
          description: Contact details for the network
          type: object
          properties:
            phone:
              type: string
            website:
              type: string
            email:
              type: string
          required:
            - phone
            - website
        enrolledServices:
          type: object
          description: >-
            The services that the network is enrolled in. Updating enrolled
            services does not support partial updates. Meaning if you want to
            update the billing service, you need to send the entire object with
            all services that should and should not be included.
          properties:
            billing:
              nullable: true
              type: object
              required:
                - finishedOnboarding
              properties:
                finishedOnboarding:
                  type: boolean
            ticketing:
              nullable: true
              type: object
            email:
              nullable: true
              type: object
            ocpi:
              nullable: true
              type: object
              required:
                - roles
              properties:
                roles:
                  type: array
                  items:
                    type: string
                    enum:
                      - CPO
                      - EMSP
            installerJourney:
              nullable: true
              type: object
            plugAndCharge:
              nullable: true
              type: object
            guestCharging:
              type: object
              required:
                - connectedAccountId
                - convenienceFeeInCents
                - currency
              properties:
                connectedAccountId:
                  type: string
                convenienceFeeInCents:
                  type: number
                currency:
                  type: string
            energyManagement:
              nullable: true
              type: object
            mobile:
              nullable: true
              type: object
              required:
                - appName
                - iosStoreUrl
                - androidStoreUrl
              properties:
                appName:
                  type: string
                iosStoreUrl:
                  type: string
                androidStoreUrl:
                  type: string
        siteHostDashboardUrl:
          type: string
          description: The URL to the siteHost dashboard
        driverSupportPhoneNumber:
          type: string
          description: Driver-facing support phone number in E.164 format
        driverSupportSmsNumber:
          type: string
          description: Driver-facing support SMS number in E.164 format
        type:
          type: string
          enum:
            - FLEET
            - PUBLIC
        siteManagerMfaRequired:
          type: boolean
          description: >-
            If true, MFA is required for all site host users within this
            network.
        nayax:
          type: object
          nullable: true
          description: Nayax integration metadata.
          properties:
            operatorId:
              type: number
              nullable: true
    Network:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        physicalAddress:
          $ref: '#/components/schemas/PhysicalAddress'
        productOfferings:
          type: array
          items:
            $ref: '#/components/schemas/ProductOffering'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        contactDetails:
          type: object
          properties:
            phone:
              type: string
            website:
              type: string
            email:
              type: string
          required:
            - phone
            - website
        enrolledServices:
          type: object
          description: >-
            The services that the network is enrolled in. The key of will exist
            if the network is enrolled
          properties:
            billing:
              nullable: true
              type: object
              required:
                - finishedOnboarding
              properties:
                finishedOnboarding:
                  type: boolean
            ticketing:
              nullable: true
              type: object
            email:
              nullable: true
              type: object
            ocpi:
              nullable: true
              type: object
              required:
                - roles
              properties:
                roles:
                  type: array
                  items:
                    type: string
                    enum:
                      - CPO
                      - EMSP
            installerJourney:
              nullable: true
              type: object
            plugAndCharge:
              nullable: true
              type: object
            guestCharging:
              nullable: true
              type: object
              required:
                - connectedAccountId
                - convenienceFeeInCents
                - currency
              properties:
                connectedAccountId:
                  type: string
                convenienceFeeInCents:
                  type: number
                currency:
                  type: string
            energyManagement:
              nullable: true
              type: object
            mobile:
              nullable: true
              type: object
              required:
                - appName
                - iosStoreUrl
                - androidStoreUrl
              properties:
                appName:
                  type: string
                iosStoreUrl:
                  type: string
                androidStoreUrl:
                  type: string
        siteHostDashboardUrl:
          type: string
          description: The URL to the siteHost dashboard
        driverSupportPhoneNumber:
          type: string
          description: Driver-facing support phone number in E.164 format
        driverSupportSmsNumber:
          type: string
          description: Driver-facing support SMS number in E.164 format
        type:
          type: string
          enum:
            - FLEET
            - PUBLIC
        siteManagerMfaRequired:
          type: boolean
          description: >-
            If true, MFA is required for all site host users within this
            network.
      required:
        - id
        - name
        - physicalAddress
        - productOfferings
        - createdAt
        - updatedAt
        - contactDetails
    AssetManagementBadRequestError:
      type: object
      description: The response body for a 400 request
      properties:
        type:
          type: string
          enum:
            - BAD_REQUEST
        code:
          type: string
          enum:
            - INVALID_REQUEST_PARAMETERS
            - REFERENCE_ERROR
            - UNSUPPORTED_TYPE
            - LOCATION_VALIDATION_ERROR
            - CHARGING_STATION_VALIDATION_ERROR
            - SITE_HOST_VALIDATION_ERROR
            - UTILITY_VALIDATION_ERROR
            - UTILITY_USER_NOT_ALLOWED
            - INVALID_CONTACT_DETAILS
            - CONTACT_DETAILS_ALREADY_EXISTS
            - SITE_PARTNER_USER_ARCHIVED
            - ASSET_NOT_CONNECTED
            - LICENSE_ALREADY_ASSIGNED
            - INVALID_AUTH_METHOD
            - INVALID_ENROLLED_SERVICES
            - UNSUPPORTED_PAYMENT_TERMINAL_PROVIDER
            - UNSUPPORTED_SIM_PROVIDER
            - RATE_IN_USE
            - CHARGING_STATION_MODEL_ARCHIVED
            - OPERATING_SITE_HOST_NOT_FOUND
            - OPERATING_SITE_HOST_INVALID_TYPE
            - OPERATING_SITE_HOST_ARCHIVED
            - LOCATION_ARCHIVED
        message:
          type: string
    AssetManagementUnauthorizedError:
      type: object
      description: The response body for a 401 request
      properties:
        message:
          type: string
    DefaultForbiddenError:
      type: object
      description: The response body for a 403 request
      properties:
        message:
          type: string
    AssetManagementNotFoundError:
      type: object
      description: The response body for a 404 request
      properties:
        type:
          type: string
          enum:
            - NOT_FOUND
        code:
          type: string
          enum:
            - ASSET_NOT_FOUND
            - ASSET_STATUS_NOT_FOUND
            - ASSET_GROUP_NOT_FOUND
            - NETWORK_NOT_FOUND
            - FLEET_NOT_FOUND
            - SECURITY_PROFILE_NOT_FOUND
            - NETWORK_ACCESS_PROFILE_NOT_FOUND
            - SITE_PARTNER_NOT_FOUND
            - SITE_PARTNER_USER_NOT_FOUND
        message:
          type: string
    AssetManagementInternalServerError:
      type: object
      description: The response body for a 500 request
      properties:
        type:
          type: string
          enum:
            - INTERNAL_ERROR
        code:
          type: string
          enum:
            - INTERNAL_SERVER_ERROR
        message:
          type: string
    PhysicalAddress:
      description: Physical address details
      type: object
      properties:
        streetNumber:
          type: string
          minLength: 1
          maxLength: 100
        streetName:
          type: string
          minLength: 1
          maxLength: 100
        streetDetails:
          type: string
          minLength: 1
          maxLength: 100
        city:
          type: string
          minLength: 1
          maxLength: 100
        state:
          $ref: '#/components/schemas/USStates'
        postalCode:
          type: string
          minLength: 1
          maxLength: 10
        countryCode:
          type: string
          enum:
            - US
            - CA
      required:
        - streetNumber
        - streetName
        - city
        - state
        - postalCode
        - countryCode
    ProductOffering:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/InternationalString'
        description:
          $ref: '#/components/schemas/InternationalString'
        features:
          $ref: '#/components/schemas/InternationalStringArray'
        currency:
          type: string
        pricingDetails:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                enum:
                  - MONTHLY
                  - ANNUALLY
              value:
                type: number
              isPrivate:
                type: boolean
            required:
              - type
              - value
      required:
        - name
        - currency
        - pricingDetails
    USStates:
      type: string
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - DC
        - AS
        - GU
        - MP
        - PR
        - UM
        - VI
    InternationalString:
      type: object
      properties:
        en_US:
          type: string
        es_US:
          type: string
    InternationalStringArray:
      type: object
      properties:
        en_US:
          type: array
          items:
            type: string
        es_US:
          type: array
          items:
            type: string
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````